# **osupdater**

## **ABOUT**
A terminal rust application for figuring out what package manager(s) are present on your system and use them to update your software packages.

This is for my educational purposes of learning rust to do tasks that I have done successfully in either bash or C/C++.  Feel free to snatch this up or not.

## **FILES**

| File | Function |
| :--| :-- |
| ./antiquated/ | bash & python source |
| ./osupdater/ | rust source |
| ./rust_build_osupdater.sh | bash script to build the source |

## **USAGE**

### **COMPILING**

To compile the application you will need to have rust and cargo installed.

#### **RHEL/FEDORA**

```
sudo dnf install rust cargo -y
```

#### **SUSE/OPENSUSE**

The [official documentation from OpenSuSE.org](https://en.opensuse.org/Rust) states to use rustup, so here it is:

```
sudo zypper install rustup && rustup toolchain install stable
```

#### **DEBIAN & DERIVATIVES**

The [official documentation from Debian](https://wiki.debian.org/Rust) states one can either install the apt packages or  use the [official rustup installer](https://www.rust-lang.org/tools/install).

Using apt packages:

```
sudo apt update
sudo apt upgrade
sudo apt install rustc cargo rustfmt
```

Using rustup:

```
sudo apt update
sudo apt upgrade
sudo apt install curl build-essential gcc make
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
```

The final command above will pull in and run the installer.  Follow the prompts on screen.

#### **ARCH & DERIVATIVES**

```
sudo pacman -Sy rust
rustup default stable
```
